Skip to main content
`Ctrl`+`K`
scipy.interpolate.BarycentricInterpolator.

# __call__

BarycentricInterpolator.__call__(x)

  Evaluate the interpolating polynomial at the points x

  Parameters:
    x array_like

      Point or points at which to evaluate the interpolant.

  Returns:
    y array_like

      Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.

  Notes

  Currently the code computes an outer product between x and the weights, that is, it constructs an intermediate array of size `(N, len(x))`, where N is the degree of the polynomial.